<h1 class="text-center mt-4">List of Blog++ users</h1>

<div class="flickr_pagination m-3">
  <%= will_paginate @users, :container => false %>
</div>
<div class="container">
  <% @users.each do |user| %>
    <div class="row justify-content-md-center">
      <div class="col-8 mt-4">
        <div class="card text-center shadow mb-5 bg-white rounded">
          <div class="card-header font-italic">
            <%= link_to user.username, user_path(user) %>
          </div>
          <div class="card-body">
            <%= link_to image_tag("https://cdn.pixabay.com/photo/2015/04/23/22/00/tree-736885__480.jpg", style: "height: 250px; width: 250px;", class: "rounded shadow mx-auto d-block m-3"), user_path(user) %>
            <p class="card-text">Articles - <%= user.articles.count %></p>
            <%= link_to 'View profile', user_path(user), class: "btn btn-outline-success" %>
            <% if logged_in? %>
              <% if user == current_user %>
                <%= link_to 'Edit profile', edit_user_path(user), class: "btn btn-outline-info" %>
              <% end %>
              <% if current_user.admin? %>
                <%= link_to 'Delete profile', user_path(user), class: "btn btn-outline-danger", method: :delete, data: {confirm: "Are you sure?"} %>
              <% end %>
            <% end %>
          </div>
          <div class="card-footer text-muted">
            <small>Joined <%= time_ago_in_words(user.created_at) %> ago</small>
          </div>
        </div>
      </div>
    </div>
  <% end %>
</div>
<div class="flickr_pagination m-3">
  <%= will_paginate @users, :container => false %>
</div>